> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/stocktaking/get-stocktaking-details.md).

# Get stocktaking details

Get stocktaking details

Required permissions: STOCKTAKING

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Stocktaking","description":"Stocktaking"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"StocktakingResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StocktakingResponseSchema"}}},"description":"Example response"}},"schemas":{"StocktakingResponseSchema":{"description":"Stock Counting response schema","properties":{"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"description":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"status":{"$ref":"#/components/schemas/StocktakingStatusENUM"},"stocktakingUid":{"$ref":"#/components/schemas/UID"},"type":{"$ref":"#/components/schemas/StocktakingTypeENUM"},"warehouseUid":{"$ref":"#/components/schemas/UID"},"withStock":{"type":"boolean"}},"required":["stocktakingUid","warehouseUid","description","withStock","type","status","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"title":"StocktakingResponseSchema","type":"object"},"StocktakingStatusENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| NOT_STARTED | Stock counting not started|\n| IN_PROGRESS | Stock counting is in progress. Registraions can be made.|\n| COMPLETE | Stock counting is complete|\n| DELETED | Stock counting is deleted, stock not adjusted|\n| CONTROL | Stock counting is in control mode, no further registrations can be made|","enum":["NOT_STARTED","IN_PROGRESS","COMPLETE","DELETED","CONTROL"],"title":"StocktakingStatusENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"StocktakingTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| FULL | Stock counting containing all productUids in tenant|\n| PARTIAL | Stock counting containing a list of specific producdIds|\n| RECOUNT | Make a new stock taking with a set of productUids to be recounted|\n","enum":["FULL","PARTIAL","RECOUNT"],"title":"StocktakingTypeENUM","type":"string"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}":{"get":{"description":"Get stocktaking details\n\nRequired permissions: STOCKTAKING","operationId":"get-tenants-stores-warehouses-stocktakings-details","parameters":[],"responses":{"200":{"$ref":"#/components/responses/StocktakingResponse"}},"summary":"Get stocktaking details","tags":["Stocktaking"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/stocktaking/get-stocktaking-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
